<?php
	include'session.php';
	include'../connection.php';
	include'../functions.php';
?>
<html>
<head>
	<title>Check Txn Status</title>
	<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
	<link rel="icon" href="images/logo.png" type="image/gif" sizes="16x16">
	
	<!-- Admin CSS File Link -->
	<link rel="stylesheet" href="css/style.css">
	
	<!-- User JAVA SCRIPT File Link -->
	<script type="text/javascript" src="js/script.js"></script>

	
	<!-- Font Awesome Icone -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	
	<style>
		.div1{
			background:;
			width:98%;
			margin:1%;
			padding:5px 10px;
		}
		.div1 input, .div1 select{
			height:30px;
			max-width:150px;
			font-size:16px;
			padding:2px 7px;
			border-radius:5px;
			border:solid #6b5127 1px;
			overflow:hidden;
			margin:10px 10px 0 5px;
		}
		input[type=submit]{
			background:#6b5127;
			color:white;
			transition:1s;
			cursor:pointer;
		}
		input[type=submit]:hover{
			background:white;
			color:#6b5127;
			transition:1s;
		}
		.div2{
			background:#f7f7f7;
			width:100%;
			float:left;
			text-align:center;
			padding:0 10px 10px 10px;
			overflow-x:auto;
		}
		.div2 table{
			width:100%;
			text-align:center;
			font-size:15px;
			border-collapse:collapse;
			padding:2px 10px;
			margin:20px 0px;
		}
		table th{
			background:#6b5127;
			color:white;
			height:40px;
			border:solid white 1px;
			padding:2px 5px;
		}
		table td{
			background:white;
			height:40px;
			border:solid black 1px;
			padding:2px 5px;
		}
		
		@media(max-width:768px)
		{
			.div1{
				background:;
				width:100%;
				height:auto;
				margin:10px 0 0 0;
				padding:0;
				text-align:center;
			}.div1 input{
				width:90%;
				margin:10px;
			}
			.div2{
				width:100%;
				margin:10px 0 0 0;
				padding:0px;
				text-align:center;
			}
		}
		

	</style>
	
	<link rel="stylesheet" href="css/mediaStyle.css">
</head>
<body>
	<!--Header Divison-->
	<?php
		require'header.php';
	?>
	
	<!--Container Division-->
	<div class="container">
		<?php
			include'menu.php';
		?>
		<div class="content">
			<div class="head">
				<div class="title"><p>Check Txn Status :-</p></div>
				<div class="msg"><marquee><?php include'../msg.php'; ?></marquee></msg>
			</div><hr>
			<div class="data-content">
				<form method="post">
					<div class="div1">
						<input type="number" name="orderid" id="orderid" placeholder="Order Id....">
						<input type="submit" name="submit" value="Submit"  onclick='showLoader()'>
					</div>
				</form>
				<div class="div2">
					<table cellpadding="20" border="2"> 
						<tr><th colspan="8" style="background:black;">Recharge Status</th></tr>
						<tr><th>Order Id</th><th>Date</th><th>Time</th><th>Operator</th><th>Mobile/DTH</th><th>Amount</th><th>Operator Id</th><th>Status</th></tr>
						<?PHP
							if(isset($_POST['submit']))
							{
								$orderid     = $_POST['orderid'];
								$quPayment   = "SELECT * FROM recharge WHERE Id='$orderid'";
								$rePayment   = mysqli_query($con,$quPayment);
								$dataPayment = mysqli_fetch_array($rePayment);
								if($dataPayment['Status']=="FAILED")
								{
										$color="red";
								}
								elseif($dataPayment['Status']=="SUCCESS")
								{
									$color="green";
								}
								else
								{
									$color="blue";
								}
								
								$slWallet=0;
								$quWallet   = "SELECT Id FROM wallet WHERE TxnId='$orderid' AND TxnType='RECHARGE' OR TxnId='$orderid' AND TxnType='Recharge_Refund'";
								$reWallet   = mysqli_query($con,$quWallet);
								while($dataWallet = mysqli_fetch_array($reWallet))
								{
								    $slWallet=$slWallet+1;
								    if($slWallet==2)
								    {
								        $creditWalletId = $dataWallet['Id'];
								    }
								    else
								    {
								        $debitWalletId = $dataWallet['Id'];
								    }
								}
									
									$usrName=getName($dataPayment['Userid']);
									echo"<tr>";
										echo "<td>".$dataPayment['Id']."</td>";
										echo "<td>".$dataPayment['Date']."</td>";
										echo "<td>".$dataPayment['Time']."</td>";
										echo "<td>".$dataPayment['OpName']."</td>";
										echo "<td>".$dataPayment['Mobile']."</td>";
										echo "<td>".$dataPayment['Amount']."</td>";
										echo "<td>".$dataPayment['OpId']."</td>";
										echo "<td><p id='".$color."'>".$dataPayment['Status']."</p></td>";
									echo"</tr>";
							}
						?>
					</table>
					
					<table cellpadding="20" border="2"> 
						<tr><th colspan="7" style="background:black;">Account Status</th></tr>
						<tr><th>E-Wallet Id</th><th>Date</th><th>Time</th><th>Txn Type</th><th>Op. Bal</th><th>Txn</th><th>Cl. Bal</th></tr>
						<?PHP
							if(isset($_POST['submit']))
							{
							    
							    $quPayment1="SELECT * FROM wallet WHERE Id='$debitWalletId'";
								$rePayment1=mysqli_query($con,$quPayment1);
								$dataPayment1=mysqli_fetch_array($rePayment1);
								
								$realOpBal=getRA($dataPayment1['OpBal']);
							    $realTxn=getRA($dataPayment1['Txn']);
							    $realClBal=getRA($dataPayment1['ClBal']);
							    
									echo"<tr>";
										echo "<td>".$dataPayment1['Id']."</td>";
										echo "<td>".$dataPayment1['Date']."</td>";
										echo "<td>".$dataPayment1['Time']."</td>";
										echo "<td>".$dataPayment1['TxnType']."</td>";
										echo "<td>".$realOpBal."</td>";
										echo "<td><p style='color:red'>".$realTxn."</p></td>";
										echo "<td>".$realClBal."</td>";
									echo"</tr>";
							    
							}
						?>
					</table>
					
					<table cellpadding="20" border="2"> 
						<tr><th colspan="7" style="background:black;">Refund Status</th></tr>
						<tr><th>E-Wallet Id</th><th>Date</th><th>Time</th><th>Txn Type</th><th>Op. Bal</th><th>Txn</th><th>Cl. Bal</th></tr>
						<?PHP
							if(isset($_POST['submit']))
							{
							    if(!empty($creditWalletId))
							    {
								    $quPayment2="SELECT * FROM wallet WHERE Id='$creditWalletId'";
								    $rePayment2=mysqli_query($con,$quPayment2);
								    $dataPayment2=mysqli_fetch_array($rePayment2);
								
								    $realOpBal2=getRA($dataPayment2['OpBal']);
							        $realTxn2=getRA($dataPayment2['Txn']);
							        $realClBal2=getRA($dataPayment2['ClBal']);
							        
									echo"<tr>";
										echo "<td>".$dataPayment2['Id']."</td>";
										echo "<td>".$dataPayment2['Date']."</td>";
										echo "<td>".$dataPayment2['Time']."</td>";
										echo "<td>".$dataPayment2['TxnType']."</td>";
										echo "<td>".$realOpBal2."</td>";
										echo "<td><p style='color:green'>".$realTxn2."</p></td>";
										echo "<td>".$realClBal2."</td>";
									echo"</tr>";
							    }
							    else
							    {
							        echo "<tr><td colspan='7'><center><h3 style='color:red'>Refund Data Not Found !</h3></center></td></tr>";
							    }
							}
						?>
					</table>
				</div>
			</div>
		</div>
	</div>
	<?php
		require'footer.php';
	?>
</body>
</html>